stages:
  - deploy

deploy:
  stage: deploy
  image: python:3.8
  script:
    - echo 'add ssh key'
    - which ssh-agent || ( apt-get install -qq openssh-client )
    - eval $(ssh-agent -s)
    - mkdir -p ~/.ssh
    - mv $SSH_PRIVATE_KEY ~/.ssh/id_rsa
    - chmod 700 ~/.ssh/id_rsa
    - ssh-add ~/.ssh/id_rsa
    - echo -e "Host *\n\tStrictHostKeyChecking no\n\n" > ~/.ssh/config
    - git config --global user.email $SSH_EMAIL
    - git config --global user.name "Project Sekai Administrator"

    - git clone git@gitlab.com:pjsekai/scripts.git scripts
    - git clone git@gitlab.com:pjsekai/api.git scripts/api

    - git clone git@gitlab.com:pjsekai/database/jp.git scripts/public

    - cd scripts
    - pip install -r requirements.txt
    - python database.py

    - set +e
    - cd public
    - git add .
    - git commit -m "auto update db $(date +%0y%0m%0d)"
    - git push
